<?php

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
return [
    /**
     * COMPONENTS
     */
    'gridview' => [
        'class' => \kartik\grid\Module::class,
    ],
    /**
     * SYSTEM
     */
    'sys' => [
        'class' => \backend\modules\sys\Sys::class,
    ],
    /**
     * CORE
     */
    'home' => [
        'class' => \backend\modules\home\Home::class,
    ],
    'user' => [
        'class' => \backend\modules\user\User::class,
    ],
    'seo' => [
        'class' => \backend\modules\seo\Seo::class,
    ],
    'menu' => [
        'class' => \backend\modules\menu\Menu::class,
    ],
    'page' => [
        'class' => \backend\modules\page\Page::class,
    ],
    'faq' => [
        'class' => \backend\modules\faq\Faq::class,
    ],
    'location' => [
        'class' => \backend\modules\location\Location::class,
    ],
    'form' => [
        'class' => \backend\modules\form\Form::class,
    ],
    'news' => [
        'class' => \backend\modules\news\News::class,
    ],
    'map' => [
        'class' => \backend\modules\map\Map::class,
    ],
    'partners' => [
        'class' => \backend\modules\partners\Partners::class,
    ],
    'calendar' => [
        'class' => \backend\modules\calendar\Calendar::class,
    ],
];
