<?php
use thread\app\bootstrap\ActiveForm;

use backend\modules\faq\models\Group;

/**
 * @var $model \backend\modules\faq\models\Question
 */
$form = ActiveForm::begin();
//
echo
    $form->submit($model, $this)
    . $form->field($model, 'group_id')->dropDownList(Group::dropDownList(), ['prompt' => '---' . Yii::t('app', 'Choose group') . '---'])
    . $form->text_line($model, 'user_name')
    . $form->text_line($model, 'email')
    . $form->text_line($model, 'question')
    . $form->switcher($model, 'published')
    . $form->submit($model, $this);
//
ActiveForm::end();
