<?php

namespace backend\modules\form;

use backend\modules\form\modules\{
    callback\Callback, feedback\Feedback
};

/**
 * Class Form
 *
 * @package backend\modules\form
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Form extends \thread\modules\form\Form
{
    /**
     * Number of elements in GridView
     * @var int
     */
    public $itemOnPage = 80;

    /**
     *
     */
    public function init()
    {

        $this->modules = [
            'feedback' => [
                'class' => Feedback::class,
            ],
            'callback' => [
                'class' => Callback::class,
            ]
        ];

        parent::init();
    }
}
