<?php

namespace backend\modules\location\models;

use yii\helpers\ArrayHelper;

/**
 * Class Currency
 *
 * @package backend\modules\location\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Currency extends \thread\modules\location\models\Currency
{
    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function search($params)
    {
        return (new search\Currency())->search($params);
    }

    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function trash($params)
    {
        return (new search\Currency())->trash($params);
    }

    /**
     * @return array
     */
    public static function getMapCode2Title()
    {
        return ArrayHelper::map(self::findBase()->undeleted()->all(), 'code2', 'lang.title');
    }
}
