<?php

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */

$module = (Yii::$app->controller->module->module->id == "app-backend") ?
    Yii::$app->controller->module->id : Yii::$app->controller->module->module->id;

$this->beginContent('@app/layouts/main.php'); ?>

<div class="row border-bottom white-bg page-heading">
    <div class="col-md-12">
        <h2>
            <?= Yii::t($module, $this->context->module->title) ?>.
            <?= (isset(Yii::$app->controller->module::typeRange()[Yii::$app->request->get('type', 0)]))
                ? Yii::$app->controller->module::typeRange()[Yii::$app->request->get('type')]: '' ?>.
            <?= Yii::t($module, $this->context->title) ?>.
            <?= Yii::t('app', 'Create') ?>
        </h2>
    </div>

    <div class="animated fadeIn">
        <?= $content ?>
    </div>
</div>
<?php $this->endContent();