<?php

namespace backend\modules\news\modules\review\models;

use thread\app\model\interfaces\BaseBackendModel;

/**
 * Class Review
 *
 * @package backend\modules\news\modules\review\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Review extends \thread\modules\news\modules\review\models\Review implements BaseBackendModel
{
    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function search($params)
    {
        return (new search\Review())->search($params);
    }

    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function trash($params)
    {
        return (new search\Review())->trash($params);
    }

    /**
     * @param $params
     * @param $article_id
     * @return mixed
     */
    public function search_article_id($params, $article_id)
    {
        return (new search\Review())->search_article_id($params, $article_id);
    }

    /**
     * @param $params
     * @param $article_id
     * @return mixed
     */
    public function trash_article_id($params, $article_id)
    {
        return (new search\Review())->trash_article_id($params, $article_id);
    }
}
