<?php

namespace backend\modules\seo\modules\modellink\models;

use thread\app\model\interfaces\BaseBackendModel;

/**
 * Class ModellinkImage
 *
 * @package backend\modules\seo\modules\modellink\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class ModellinkImage extends \thread\modules\seo\modules\modellink\models\ModellinkImage implements BaseBackendModel
{

    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function search($params)
    {
        return (new search\ModellinkImage())->search($params);
    }

    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function trash($params)
    {
        return (new search\ModellinkImage())->trash($params);
    }

    /**
     * @param $params
     * @param $model_id
     * @param $model_key
     * @return mixed
     */
    public function search_model_id_and_key($params, $model_id, $model_key)
    {
        return (new search\ModellinkImage())->search_model_id_and_key($params, $model_id, $model_key);
    }

    /**
     * @param $params
     * @param $model_id
     * @param $model_key
     * @return mixed
     */
    public function trash_model_id_and_key($params, $model_id, $model_key)
    {
        return (new search\ModellinkImage())->trash_model_id_and_key($params, $model_id, $model_key);
    }
}
