<?php

namespace backend\modules\sys;

use backend\modules\sys\modules\{
    growl\Growl, logbook\Logbook, user\User, crontab\Crontab, configs\Configs, messages\Messages, mailcarrier\MailCarrier
};

/**
 * Class Sys
 *
 * @package backend\modules\sys
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Sys extends \thread\modules\sys\Sys
{
    public $itemOnPage = 20;

    /**
     *
     */
    public function init()
    {
        parent::init();

        $this->modules = [
            'configs' => [
                'class' => Configs::class,
            ],
            'user' => [
                'class' => User::class,
            ],
            'growl' => [
                'class' => Growl::class,
            ],
            'crontab' => [
                'class' => Crontab::class,
            ],
            'messages' => [
                'class' => Messages::class,
            ],
            'mail-carrier' => [
                'class' => MailCarrier::class,
            ],
            'logbook' => [
                'class' => Logbook::class
            ]
        ];
    }
}
