<?php
use thread\app\bootstrap\{
    ActiveForm
};
//
use backend\modules\sys\modules\configs\models\Group;

/**
 * @var $model \backend\modules\sys\modules\configs\models\Params
 * @var $modelLang \backend\modules\sys\modules\configs\models\ParamsLang
 */
$form = ActiveForm::begin();
//
echo $form->submit($model, $this)
    . $form->field($model, 'group_id')->selectOne(Group::dropDownList(), ['promt' => '---' . Yii::t('app', 'Choose group') . '---'])
    . $form->text_line_lang($modelLang, 'title')
    . $form->text_line($model, 'alias')
    . $form->switcher($model, 'is_lang_value');

echo ($model['is_lang_value'] == Group::STATUS_KEY_OFF) ?
    $form->text_line($model, 'value')
    :
    $form->text_line_lang($modelLang, 'value');

echo $form->submit($model, $this);
//
ActiveForm::end();
