<?php

use backend\widgets\GridView\GridView;

echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        'name',
        'description',
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class,
            'updateLink' => function ($model) {
                if (in_array($model['name'], ['admin', 'dev', 'user'])) {
                    return false;
                } else {
                    return ['update', 'id' => $model['name']];
                }
            },
            'deleteLink' => function ($model) {
                if (in_array($model['name'], ['admin', 'dev', 'user'])) {
                    return false;
                } else {
                    return ['update', 'id' => $model['name']];
                }
            }
        ],
    ]
]);
