<?php

use backend\widgets\GridView\GridView;
//
use thread\widgets\grid\{
    ActionDeleteColumn, ActionRestoreColumn
};

/**
 * @var $model \backend\modules\user\models\User
 * @var $filter \backend\modules\user\models\search\User
 */
echo GridView::widget([
    'dataProvider' => $model->trash(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'attribute' => 'group_id',
            'value' => 'group.lang.title'
        ],
        'username',
        [
            'class' => ActionRestoreColumn::class,
        ],
        [
            'class' => ActionDeleteColumn::class
        ],
    ]
]);
