<?php

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
use yii\helpers\Html;

$module = (Yii::$app->controller->module->module->id == "app-backend") ?
    Yii::$app->controller->module->id : Yii::$app->controller->module->module->id;

$this->beginContent('@app/layouts/main.php'); ?>

<div class="row border-bottom white-bg page-heading">
    <div class="col-md-8">
        <h2>
            <?= Yii::t($module, $this->context->module->title) ?>.
            <?= Yii::t($module, $this->context->title) ?>.
            <?= Yii::t('app', 'Trash') ?>
        </h2>
    </div>
    <div class="col-md-2">
        <h2 class="btn-group" role="group">
            <?= Html::a('<i class="fa fa-list"></i> ' . Yii::t('app', 'Delete all'), ['deleteall'], [
                'class' => 'btn btn-primary ActionDeleteColumn',
                'data-message' => Yii::t('app', 'Do you confirm the deletion?')
            ]) ?>
        </h2>
    </div>
    <div class="col-md-2">
        <h2 class="btn-group" role="group">
            <?= Html::a('<i class="fa fa-list"></i> ' . Yii::t('app', 'Back to list'), ['list'], ['class' => 'btn btn-primary']) ?>
        </h2>
    </div>
</div>

<div class="animated fadeIn">
    <?= $content ?>
</div>

<?php $this->endContent(); ?>
