<?php

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
return [
//    'session' => [
//        'class' => \yii\web\DbSession::class,
//        Set the following if you want to use DB component other than
//        'db' => 'coredb',
//            To override default session table, set the following
//        'sessionTable' => 'fv_session',
    /*
      CREATE TABLE fv_session (
      id CHAR(40) NOT NULL PRIMARY KEY,
      expire INTEGER,
      data BLOB
      )
     */
//    ],
    'user' => [
        'class' => \yii\web\User::class,
        'identityClass' => \thread\modules\user\models\User::class,
        'enableAutoLogin' => false,
        'loginUrl' => ['/user/login']
    ],
    'languages' => [
        'class' => \thread\app\model\Languages::class,
        'languageModel' => \thread\modules\sys\models\Language::class,
    ],
    //MAIL
    'mail-carrier' => [
        'class' => \thread\modules\sys\modules\mailcarrier\components\MailCarrier::class,
        'pathToLayout' => '@frontend/mail/layouts',
        'pathToViews' => '@frontend/mail/views',
    ],
    'queue-mailer' => [
        'class' => \yii\queue\file\Queue::class,
        'path' => '@root/runtime/queue-mailer',
        'as log' => \yii\queue\LogBehavior::class
    ],
    'mailer' => [
        'class' => \yii\swiftmailer\Mailer::class,
        'useFileTransport' => false,
        'enableSwiftMailerLogging' => true,
        'transport' => [
            'class' => 'Swift_SmtpTransport',
        ],
    ],
    //
    'memcache' => [
        'class' => \yii\caching\MemCache::class,
        'servers' => [
            [
                'host' => 'localhost',
                'port' => 11211,
                'weight' => 60,
            ]
        ]
    ],
    'rediscache' => [
        'class' => \yii\redis\Cache::class,
        'redis' => [
            'hostname' => 'localhost',
            'port' => 6379,
            'database' => 0,
        ]
    ],
//    'session' => [
//        'class' => \yii\redis\Session::class,
//        'redis' => [
//            'hostname' => 'localhost',
//            'port' => 6379,
//            'database' => 2,
//        ]
//    ],
];
