<?php
use yii\helpers\ArrayHelper;

//DEFINE SECTION
require(__DIR__ . '/alias.php');

return ArrayHelper::merge(
    require(dirname(__DIR__, 2) . '/thread/config/main.php'),
    [
        'components' => ArrayHelper::merge(
            require(__DIR__ . '/components.php'),
            require(__DIR__ . '/db.php')
        ),
        'modules' => require(__DIR__ . '/modules.php'),
        'params' => require __DIR__ . '/params.php',
    ],
    [
    'aliases' => [
    '@bower' => '@vendor/bower-asset',
    '@npm'   => '@vendor/npm-asset',
]
    ]
);

