<?php

use yii\db\Migration;
use common\modules\map\Map as ParentModule;

class m171112_194830_add_column_to_map_region_id extends Migration
{
    public $table = '{{%map_item}}';
    public $tableRegion = '{{%location_region}}';


    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->addColumn($this->table, 'region_id', $this->integer(11)->defaultValue(0)->unsigned()->comment('Related region'));

    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropColumn($this->table, 'region_id');

    }
}
