<?php

use yii\db\Migration;
use common\modules\map\Map as ParentModule;

class m171118_135737_add_column_to_map_item extends Migration
{

    /**
     * @var string
     */
    public $table = '{{%map_item}}';

    /**
     * @var string
     */
    public $tableLang = '{{%map_item_lang}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    public function safeUp()
    {
        $this->addColumn($this->table, 'web_site_investor', $this->string(128)->notNull()->defaultValue('')->comment('web_site'));
        $this->addColumn($this->tableLang, 'address', $this->string(255)->notNull()->defaultValue('')->comment('project_implementation_period'));

    }

    public function safeDown()
    {
        $this->dropColumn($this->table, 'web_site_investor');
        $this->dropColumn($this->tableLang, 'address');
    }
}
