<?php

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
return [
    'seo' => [
        'class' => thread\modules\seo\Seo::class,
        'params' => [
            'map' => [
                'hostInfo' => 'http://beuni.com.ua/',
                'rules' => '@frontend/config/part/url-rules.php',
                'filepath' => '@root/web/sitemap.xml'
            ],
        ],
    ],
    'menu' => [
        'class' => thread\modules\menu\Menu::class
    ],
];