<?php

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
return [
...............
    'seo' => [
        'class' => thread\modules\seo\Seo::class,
        'params' => [
            'map' => [
                'hostInfo' => 'http://beuni.com.ua',
                'rules' => '@frontend/config/part/url-rules.php',
                'filepath' => '@root/web/sitemap.xml'
            ]
        ],
        'controllerMap' => [
            'map-pathcache' => [
                'class' => \thread\modules\seo\modules\pathcache\console\PathcacheController::class
            ],
            'map-fill' => [
                'class' => \thread\modules\seo\modules\sitemap\console\FillController::class,
                'hostInfo' => 'hostInfo'
            ],
            'map-create' => [
                'class' => \thread\modules\seo\modules\sitemap\console\CreateController::class
            ]
        ],
    ],
...............
];
//hostInfo