<?php

namespace frontend\components;

/**
 * Class BaseController
 *
 * @package frontend\components
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
abstract class BaseController extends \yii\web\Controller
{
    /**
     * Базовий layout
     * @var string
     */
    public $layout = "@app/layouts/main";

    /**
     * Назва базового методу дії
     * @var string
     */
    public $defaultAction = 'index';

    /**
     * @var array
     */
    public $breadcrumbs = [];
}
