<?php
use frontend\themes\defaults\assets\MailAsset;

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $this \yii\web\View view component instance
 * @var $message \yii\mail\MessageInterface the message being composed
 * @var $content string main view render result
 */

$asset = MailAsset::register($this);
?>
<?php $this->beginPage() ?>
    <!DOCTYPE html PUBLIC
            "-//W3C//DTD XHTML 1.0 Transitional//EN""http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title><?= $this->title ?></title>
        <?php $this->head() ?>
        <style type="text/css">
            .header a {
                color: #ffffff;
            }
        </style>
    </head>
    <body style="margin: 0; padding: 0;">
    <?php $this->beginBody() ?>
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
            <td>
                <?= $this->render('parts/header', [
                    'asset' => $asset
                ]) ?>
                <!-- Section Start -->
                <table align="center" border="0" cellpadding="0" cellspacing="0" width="800"
                       style="border-collapse: collapse;">
                    <tr>
                        <td>
                            <table bgcolor="#fafafa" align="center" border="0" cellpadding="0" cellspacing="0"
                                   width="780"
                                   style="border-collapse: collapse;">
                                <tr>
                                    <td>
                                        <?= $content ?>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <?php $this->endBody() ?>
    </body>
    </html>
<?php $this->endPage() ?>