<?php
use yii\helpers\Html;
use frontend\themes\defaults\assets\AppAsset;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $question \frontend\modules\form\modules\feedback\models\Question
 * @var $params \thread\modules\sys\modules\configs\components\ConfigsParams
 */
$asset = AppAsset::register($this);
$params = Yii::$app->param;
?>
<!-- page-title start -->
<!-- ================ -->
<h1 class="page-title">
    <?= Yii::t('form', 'Feedback') ?>
</h1>
<!-- page-title end -->
<table border="0" cellpadding="3" cellspacing="0" width="100%" style="padding: 0 5px;">
    <tr>
        <td>
            <?= $question->getAttributeLabel('user_name') ?>
        </td>
        <td style="text-align: right;">
            <?= $question['user_name'] ?>
        </td>
    </tr>
    <tr>
        <td>
            <?= $question->getAttributeLabel('email') ?>
        </td>
        <td style="text-align: right;">
            <?= $question['email'] ?>
        </td>
    </tr>
    <tr>
        <td>
            <?= $question->getAttributeLabel('group_id') ?>
        </td>
        <td style="text-align: right;">
            <?= $question['group']['lang']['title']??'' ?>
        </td>
    </tr>
    <tr>
        <td>
            <?= $question->getAttributeLabel('question') ?>
        </td>
        <td style="text-align: right;">
            <?= $question['question'] ?>
        </td>
    </tr>
</table>
<hr>
