<?php

namespace frontend\modules\home\controllers;

use yii\web\ErrorAction;

/**
 * Class HomeController
 *
 * @package frontend\modules\home\controllers
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class HomeController extends \frontend\components\BaseController
{

    public $layout = "@app/layouts/start";

    /**
     *
     * @return array
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => ErrorAction::class,
                'view' => 'error',
            ],
        ];
    }

    /**
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * @param \yii\base\Action $action
     * @return bool
     */
    public function beforeAction($action)
    {

        if ($action->id == 'error') {
            $this->layout = '@app/layouts/base';
        }

        return parent::beforeAction($action);
    }

}
