<?php

use yii\helpers\Html;
use frontend\modules\map\models\Item;

?>
<div class=\"popover top\">
<div class=\"arrow\"></div>
<h4 class=\"popover-title\"><?= Html::decode($model['lang']['title']) ?></h4>
<div class=\"popover-content\">
    <p>
    <h5 style="color:<?= ($types[$model['type_id']]['color']) ?? '' ?>"><?= (isset($types)) ? Html::decode($types[$model['type_id']]['lang']['title'])
            : $model['typeItem']['lang']['title'] ?></h5>
    <h5><?= (isset($types)) ? Html::decode($types[$model['type_id']]['area'][$model['area_id']]['lang']['title'])
            : $model['area']['lang']['title'] ?></h5>
    <!--
    <h5><?php
        echo (isset($regions))
            ? Html::decode($regions[$model['region_id']]['lang']['title']) . ', '
            : '';
        echo Html::decode($model['lang']['address'])
        ?>
    </h5>
    -->
    <?php
    if (isset($model['electric_power']) && $model['electric_power'] > 0) {
        echo Html::tag('div', (new Item)->getAttributeLabel('electric_power') . ':' . $model['electric_power']);
    }
    if (isset($model['heat_capacity']) && $model['heat_capacity'] > 0) {
        echo Html::tag('div', (new Item)->getAttributeLabel('heat_capacity') . ':' . $model['heat_capacity']);
    }
    ?>
    </php>
</div>
</div>
