<?php

use yii\helpers\Html;
use frontend\modules\map\Map;
use frontend\modules\map\models\Item;

$image = isset($types[$model['type_id']]['area'][$model['area_id']]) ? 'http://uamap.thread.kiev.ua/uploads/map/' . $types[$model['type_id']]['area'][$model['area_id']]['image_link'] : '';

?>
<div class=\"popover top\">
<div class=\"arrow\"></div>
<h4 class=\"popover-title\">
    <?= Html::decode($model['lang']['title']) ?>
</h4>
<div class=\"popover-content\">
    <div style="color:<?= ($types[$model['type_id']]['color']) ?? '' ?>; font-weight: bold;">
        <?= (isset($types) && isset($types[$model['type_id']]['lang']['title']))
            ? Html::decode($types[$model['type_id']]['lang']['title'])
            : (isset($model['typeItem']['lang']['title']) ? $model['typeItem']['lang']['title'] : '') ?>
    </div>
    <div style="background:url(<?= $image ?>) no-repeat left center; padding: 3px 20px;">
        <?= (isset($types)
            && isset($types[$model['type_id']]['area'][$model['area_id']]['lang']['title'])) ?
            Html::decode($types[$model['type_id']]['area'][$model['area_id']]['lang']['title'])
            : (isset($model['area']['lang']['title']) ? $model['area']['lang']['title'] : '') ?>
    </div>
    <!--
    <div>
        <?php
        echo (isset($regions))
            ? Html::decode((isset($regions[$model['region_id']]) ? $regions[$model['region_id']]['lang']['title'] : '')) . ', '
            : '';
        echo Html::decode($model['lang']['address'])
        ?>
    </div>
    -->
    <?php
    if (isset($model['electric_power']) && $model['electric_power'] > 0) {
        echo Html::tag('div', (new Item)->getAttributeLabel('electric_power') . ' : ' . $model['electric_power']) . ' ' . Yii::t('front', 'W');
    }
    if (isset($model['heat_capacity']) && $model['heat_capacity'] > 0) {
        echo Html::tag('div', (new Item)->getAttributeLabel('heat_capacity') . ' : ' . $model['heat_capacity']);
    }
    ?>
    <div>
        <?= Html::a(Yii::t('front', 'Additionally'), Map::getItemUrl($model['alias'])) ?>
    </div>
</div>
</div>
