<?php

use yii\helpers\Html;
use thread\modules\seo\widgets\breadcrumbs\Breadcrumbs;

/**
 * @var $models \frontend\modules\news\models\search\Articles[]
 */
//
$this->title = Yii::t('news', 'Blog');
?>
<?= Breadcrumbs::widget([
    'links' => $this->context->breadcrumbs ?? []
]) ?>
<?= Html::tag('h1', Yii::t('news', 'Blog'), [
    'class' => 'page-title title-1'
]) ?>

<div class="news-container row">
    <?php foreach ($models as $article):
        echo $this->render('parts/blog-medium-image-right-sidebar', [
            'article' => $article
        ]);
    endforeach; ?>
</div>
<div class="clearfix"></div>
<div class="pages">
    <?=
    yii\widgets\LinkPager::widget([
        'pagination' => $pages,
        'registerLinkTags' => true,
        'nextPageLabel' => '❯',
        'prevPageLabel' => '❮',
    ]);
    ?>
</div>