<?php

use yii\helpers\Html;
use thread\modules\seo\widgets\breadcrumbs\Breadcrumbs;
use frontend\modules\map\Map;

//
$urlMapResource = Map::getUrlListByType('resource');
$urlMapProjects = Map::getUrlListByType('project');
/**
 * @var $model \frontend\modules\page\models\Page
 */
$this->context->breadcrumbs[] = [
    'label' => $model['lang']['title'],
];

$this->title = $model['lang']['title'];
?>
<?= Breadcrumbs::widget([
    'links' => $this->context->breadcrumbs ?? []
]) ?>
<div class="row" style="position: relative;">
    <div class="static-btn-container">
        <?= Html::a(Yii::t('front', 'resource potential'), $urlMapResource, [
            'class' => 'static-btn static-btn-resours'
        ])
        . Html::a(Yii::t('front', 'projects'), $urlMapProjects, [
            'class' => 'static-btn static-btn-project'
        ])
        ?>
    </div>
    <div class="col-md-10">
        <?= Html::tag('h1', Html::encode($model['lang']['title']), ['class' => 'title-1']); ?>
        <?= $model['lang']['content'] ?>
    </div>
</div>


