<?php

namespace frontend\modules\partners;

use Yii;

/**
 * Class Partners
 *
 * @package frontend\modules\partners
 * @author Alla Kuzmenko
 * @copyright (c), Thread
 */
class Partners extends \common\modules\partners\Partners
{
    /**
     * Number of elements in GridView
     * @var int
     */
    public $itemOnPage = 20;

    /**
     * @param $image_link
     * @return null|string
     */
    public static function getImageLinkForItem($image_link)
    {
        $module = Yii::$app->getModule(self::name);
        $path = $module->getItemUploadPath();
        $url = $module->getItemUploadUrl();
        return (!empty($image_link) && is_file($path . '/' . $image_link))
            ? $url . '/' . $image_link
            : null;
    }
}
