<?php

namespace frontend\modules\partners\models;

use thread\app\model\interfaces\BaseFrontModel;
use common\modules\partners\models\ItemLang;


/**
 * Class Item
 *
 * @package frontend\modules\partners\models
 * @author Alla Kuzmenko
 * @copyright (c) 2017
 */
class Item extends \common\modules\partners\models\Item implements BaseFrontModel
{
    /**
     *
     * @return array
     */
    public function behaviors()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function scenarios()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function attributeLabels()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function rules()
    {
        return [];
    }

    /**
     * @return mixed
     */
    public static function find()
    {
        return parent::find()->innerJoinWith(['lang'])->enabled()->orderBy(['position' => SORT_ASC]);
    }

    /**
     * @return mixed
     */
    public static function findBase()
    {
        return self::find();
    }

    /**
     * @param $id
     * @return mixed
     */
    public static function findById($id)
    {
        return false;
    }

    /**
     * Url route to view particular page
     * @param boolean $schema
     * @return string
     */
    public function getUrl($schema = false)
    {
        return false;
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLang()
    {
        return $this->hasOne(ItemLang::class, ['rid' => 'id'])->asArray();
    }

    /**
     * @param $id
     * @return mixed
     */
    public static function findByAlias($id)
    {
        return false;
    }

    /**
     * @return mixed
     */
    public static function findList()
    {
        return self::findBase()->asArray()->all();
    }


}
