<?php

namespace frontend\modules\user\models;

/**
 * Class User
 *
 * @package frontend\modules\user\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class User extends \thread\modules\user\models\User
{

    /**
     * @return mixed
     */
    public static function find()
    {
        return parent::find()->enabled();
    }

    /**
     * @param $user_id
     * @return mixed
     */
    public static function findById($user_id)
    {
        return self::find()->byID($user_id);
    }

    /**
     * @param $user_id
     * @return mixed
     */
    public static function getUserById($user_id)
    {
        return self::findById($user_id)->one();
    }
}
