<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \frontend\modules\user\models\form\ResetPasswordForm */

use yii\helpers\{
    Html, Url
};

$this->title = Yii::t('user', 'Reset password');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-reset-password">
    <h1><?= Html::encode($this->title) ?></h1>

    <?= Html::tag('p', Yii::t('user', 'Wrong password reset token.')) ?>

    <?= Html::a(Yii::t('user', 'Reset password'), ['/user/password/request-reset'], [
        'class' => 'btn btn-primary'
    ]) ?>
</div>
