<?php

use yii\helpers\Html;

/**
 * @var $model \frontend\modules\user\models\Profile
 */
//$this->title = Yii::t('user', 'Profile');
?>
<div class="row">
    <div class="col-md-6 col-md-offset-3 profile_form">
        <div class="row">
            <div class="col-sm-6 form-group​ profile_form_title">
                <?= Yii::t('user', 'Profile') ?>
            </div>
            <div class="col-sm-6 form-group​" style="text-align: right">
                <?= Html::a(Yii::t('user', 'Change password'), ['/user/password/change'],
                    ['class' => 'my_blue_btn']) ?>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6 form-group">
                <div class="col-sm-12 form-group line_bottom">
                    <?= $model['first_name'] ?>&nbsp;
                </div>
            </div>
            <div class="col-sm-6 form-group">
                <div class="col-sm-12 form-group line_bottom">
                    <?= $model['last_name'] ?>&nbsp;
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6 form-group ext-muted">
                <div class="col-sm-12 line_bottom form-group <?= (!$model['phone']) ? ' text-muted' : '' ?>">
                    <?= ($model['phone']) ? $model['phone']: '*'.$model->getAttributeLabel('phone')  ?>&nbsp;
                </div>
            </div>
            <div class="col-sm-6 form-group">
                <div class="col-sm-12 line_bottom form-group">
                    <?= $model['user']['email'] ?>&nbsp;
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6 form-group">
                <div class="col-sm-12 line_bottom form-group <?= (!$model['company']) ? ' text-muted' : '' ?>">
                    <?= ($model['company']) ? $model['company']: '*'.$model->getAttributeLabel('company')  ?>&nbsp;
                </div>
            </div>
            <div class="col-sm-6 form-group">
                <div class="col-sm-12 line_bottom form-group <?= (!$model['website']) ? ' text-muted' : '' ?>">
                    <?= ($model['website']) ? $model['website']: '*'.$model->getAttributeLabel('website')  ?>&nbsp;
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 form-group" style="text-align: center">
                <?= Html::a(Yii::t('app', 'Edit'), [
                    '/user/profile/update'
                ], [
                    'class' => 'my_yellow_btn btn'
                ]) ?>
            </div>
        </div>
    </div>
</div>
