<?php

namespace frontend\modules\user\widgets;


use yii\base\Widget;
use frontend\modules\user\models\form\ChangePassword as ChangePasswordForm;

class ChangePassword extends Widget
{
    public $view = 'change-password-popup';
    public $name = 'change-password';
    protected $model = ChangePasswordForm::class;

    public function run()
    {
        /** @var ChangePasswordForm $model */
        $model = new $this->model;
        $model->setScenario('passwordChange');


        return $this->render($this->view, [
            'model' => $model,
        ]);
    }
}