<?php

namespace frontend\modules\user\widgets;


use Yii;
use yii\base\Widget;
use frontend\modules\user\models\form\RegisterForm;
use frontend\modules\user\models\Profile;

class Register extends Widget
{
    public $view = 'register';
    public $name = 'register';
    protected $model = RegisterForm::class;

    public function run()
    {
        /** @var RegisterForm $model */
        $model = new $this->model;
        $model->setScenario('register');

        $modelProfile = new Profile([
            'scenario' => 'basicCreate',
        ]);

        return $this->render($this->view, [
            'model' => $model,
            'modelProfile' => $modelProfile
        ]);
    }
}