<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \frontend\modules\user\models\form\PasswordResetRequestForm */

use yii\bootstrap\ActiveForm;
use yii\helpers\Html;
use yii\helpers\Url;

$this->title = 'Восстановление пароля';
$this->params['breadcrumbs'][] = $this->title;
?>
<?= Html::tag('div', Yii::t('front', 'Forgot your password') . '?', ['class' => 'title']) ?>

<div class="mod-body-wrap">
    <?php echo Html::tag('div', Yii::t('front', 'To recover the password, enter your E-mail'),
        ['class' => 'mess']);
    $form = ActiveForm::begin([
        'method' => 'post',
        'action' => Url::toRoute('/user/profile/request-password-reset'),
        'id' => 'request-password-reset',
        //'enableAjaxValidation' => true,
    ]);
    echo $form->field($model, 'email')->textInput([
        'placeholder' => Yii::t('front', 'Email'),
        'class' => 'field email'
    ])->label('') ?>
    <div class="flex s-between c-align">

        <?= Html::a(
            Yii::t('front', 'Avtorization'),
            '#sign-in-mod',
            [
                'class' => 'auth', 'onclick' => '$.fancybox.close();', 'data-fancybox' => ''
            ]
        )
        . Html::submitButton(Html::tag('span', Yii::t('front', 'Send')), ['class' => 'std-but'])
        ?>
    </div>
    <?php ActiveForm::end(); ?>
</div>
