<?php
use yii\helpers\Html;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $config_params \thread\modules\sys\modules\configs\components\ConfigsParams
 */
$params = Yii::$app->params;
$config_params = Yii::$app->param;
?>
<ul class="social-links circle small clearfix hidden-xs">
    <?php
    if ($config_params->getByName('facebook')):
        echo Html::tag('li',
            Html::a('<i class="fa fa-facebook"></i>', $config_params->getByName('facebook'), [
                'target' => '_blank'
            ]), [
                'class' => 'facebook'
            ]);
    endif;
    if ($config_params->getByName('googleplus')):
        echo Html::tag('li',
            Html::a('<i class="fa fa-google-plus"></i>', $config_params->getByName('googleplus'), [
                'target' => '_blank'
            ]), [
                'class' => 'googleplus'
            ]);
    endif;
    if ($config_params->getByName('instagram')):
        echo Html::tag('li',
            Html::a('<i class="fa fa-instagram"></i>', $config_params->getByName('instagram'), [
                'target' => '_blank'
            ]), [
                'class' => 'instagram'
            ]);
    endif;
//    if ($config_params->getByName('youtube')):
//        echo Html::tag('li',
//            Html::a('<i class="fa fa-youtube-play"></i>', $config_params->getByName('youtube'), [
//                'target' => '_blank'
//            ]), [
//                'class' => 'youtube'
//            ]);
//    endif;
//    if ($config_params->getByName('pinterest')):
//        echo Html::tag('li',
//            Html::a('<i class="fa fa-pinterest"></i>', $config_params->getByName('pinterest'), [
//                'target' => '_blank'
//            ]), [
//                'class' => 'pinterest'
//            ]);
//    endif;
    ?>
</ul>