<?php
use frontend\themes\defaults\assets\AppAsset;

$asset = AppAsset::register($this);

/**
 * @author Alla Kuzmenko
 * @copyright (c), Thread
 */
$this->beginContent('@app/layouts/main.php');
?>
<div class="container-fluid">
        <?= $this->render('parts/header', [
            'asset' => $asset
        ]) ?>
        <main>
            <div class="container">
                <div class="row">
                    <?= $content ?>
                </div>
            </div>
        </main>
</div>
<?php
echo $this->render('parts/footer', [
    'asset' => $asset
]);
$this->endContent();
