<?php

use frontend\themes\defaults\assets\AppAsset;
use yii\helpers\Html;

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
$asset = AppAsset::register($this);

$this->beginContent('@app/layouts/base.php');
?>
    <section class="main-container">

        <div class="container">
            <div class="row">

                <!-- main start -->
                <!-- ================ -->
                <div class="main col-md-12 col-sm-12">

                    <!-- page-title start -->
                    <!-- ================ -->
                    <?= Html::tag('h1', $this->title, [
                        'class' => 'page-title'
                    ]) ?>
                    <div class="separator-2"></div>
                    <!-- page-title end -->
                    <?= $content ?>
                </div>
                <!-- main end -->

            </div>
        </div>
    </section>
<?php $this->endContent(); ?>