// [ БАЗОВІ НАЛАШТУВАННЯ ]
var gulp = require('gulp'); //Відповідно сам gulp
var sprite = require('gulp-sprite-generator');

//source
var dev_paths = {
    'js': ['./src/js/*'],
    'less': ['./src/less/**/*.less'],
    'scss': ['./src/scss/**/*.scss'],
    'css': ['./src/css/main.scss.css'],
    'css-base': './src/css/',
    'images-jpg': ['./src/img/**/*.jpg', './src/img/*.jpg'],
    'images-svg': ['./src/img/**/*.svg'],
    'images-png': ['./src/img/**/*.png'],
    'images': ['./src/img/**/*'],
    'images-css': ['./src/imgcss']
};
//destination
var build_paths = {
    'images': './dist/img/',
    'js': './dist/js/',
    'css': './dist/css/'
};

gulp.task('sprites', function () {
    var spriteOutput;

    spriteOutput = gulp.src("./src/css/*.css")
        .pipe(sprite({
            //baseUrl: "./build",
            spriteSheetName: "sprite.png",
            spriteSheetPath: "../img"
        }));

    spriteOutput.css.pipe(gulp.dest("./src/css1"));
    spriteOutput.img.pipe(gulp.dest("./src/img"));
});