<?php

namespace thread\app\model\interfaces;

/**
 * interface Languages
 *
 * @package thread\app\model\interfaces
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
interface Languages
{
    /**
     * @param string $lang
     * @return string
     */
    public function isExistsByAlias(string $lang);

    /**
     * @return array
     */
    public function getDefault(): array;

    /**
     * @param string $lang
     * @return array
     */
    public function getLangByAlias(string $lang);

    /**
     * @param string $lang
     * @return array
     */
    public function getLangByLocal(string $lang): array;

    /**
     * @return mixed
     */
    public function getAll(): array;

    /**
     * @return mixed
     */
    public function getCurrent();
}