<?php

namespace thread\modules\form\modules\feedback;

use thread\app\base\module\abstracts\Module as aModule;
use thread\modules\form\Form;

/**
 * Class Feedback
 *
 * @package thread\modules\feedback
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Feedback extends aModule
{
    public $name = 'feedback';
    public $translationsBasePath = __DIR__ . '/messages';
    public $configPath = __DIR__ . '/config.php';

    /**
     * Db connection
     *
     * @return null|object
     * @throws \yii\base\InvalidConfigException
     */
    public static function getDb()
    {
        return Form::getDb();
    }
}
