<?php

namespace thread\modules\seo\modules\directlink\models\query;

/**
 * Class ActiveQuery
 *
 * @package thread\modules\seo\modules\directlink\models\query
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class ActiveQuery extends \thread\modules\seo\models\query\ActiveQuery
{

    /**
     * @param string $url
     * @return $this
     */
    public function url(string $url)
    {
        $modelClass = $this->modelClass;
        $this->andWhere($modelClass::tableName() . '.url = :url', [':url' => $url]);
        return $this;
    }

    /**
     * @param int $direct_link_id
     * @return $this
     */
    public function direct_link_id(int $direct_link_id)
    {
        $modelClass = $this->modelClass;
        $this->andWhere($modelClass::tableName() . '.direct_link_id = :direct_link_id', [':direct_link_id' => $direct_link_id]);
        return $this;
    }


}