<?php

namespace thread\modules\sys\modules\mailcarrier\queuejob;

use Yii;
use yii\base\Object;

/**
 * Class sendQuestionToMailJob
 *
 * @package thread\modules\faq\models\queuejob
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class sendFromBase extends Object implements \yii\queue\Job
{
    /**
     * @var int
     */
    public $letter_id = 0;

    /**
     * @param \yii\queue\Queue $queue
     */
    public function execute($queue)
    {
        /**
         * @var $mail \thread\modules\sys\modules\mailcarrier\components\MailCarrier
         */
        if ($this->letter_id > 0) {
            $mail = Yii::$app->get('mail-carrier');
            $mail->sendFromBase($this->letter_id);
        }
    }
}
