<?php
use thread\app\bootstrap\ActiveForm;

/**
 * @var $form ActiveForm
 * @var $model \backend\modules\location\models\Country
 * @var $modelLang \backend\modules\location\models\CountryLang
 */

$form = ActiveForm::begin();
//
echo $form->submit($model, $this); ?>

    <div class="row control-group">
        <div class="col-md-4">
            <?= $form->text_line($model, 'alpha2') ?>
        </div>
        <div class="col-md-4">
            <?= $form->text_line($model, 'alpha3') ?>
        </div>
        <div class="col-md-4">
            <?= $form->text_line($model, 'iso') ?>
        </div>
    </div>

<?php
echo
    $form->text_line_lang($modelLang, 'title')
    . $form->switcher($model, 'published')
    . $form->submit($model, $this);
//
ActiveForm::end();
