<?php
use thread\widgets\grid\ActionCheckboxColumn;
use backend\widgets\GridView\gridColumns\ActionColumn;
use backend\widgets\GridView\GridView;


/**
 * @var \backend\modules\partners\models\Item $model
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'tableOptions' => ['class' => 'table table-striped table-bordered'],
    'filterModel' => $filter,
    'columns' => [
        [
            'label' => Yii::t('app', 'Title'),
            'attribute' => 'title',
            'value' => 'lang.title',
        ],
        [
            'class' => \thread\widgets\grid\kartik\EditableColumn::class,
            'attribute' => 'position',
            'link' => ['attribute-save-position'],
            'displayValue' => function ($model) {
                return $model['position'];
            }
        ],
        [
            'class' => ActionCheckboxColumn::class,
            'attribute' => 'published',
            'action' => 'published'
        ],
        [
            'class' => ActionColumn::class,
        ],
    ]
]);
