<?php

use thread\widgets\grid\ActionDeleteColumn;
use thread\widgets\grid\ActionRestoreColumn;
use backend\widgets\GridView\GridView;


/**
 *
 * @package admin\modules\page\view
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c) 2015, Thread
 */

echo GridView::widget([
    'dataProvider' => $model->trash(Yii::$app->request->queryParams),
    'tableOptions' => ['class' => 'table table-striped table-bordered'],
    'columns' => [
        'lang.title',
        'position',
        [
            'class' =>  ActionDeleteColumn::class,
            'link' => ['id']
        ],
        [
            'class' =>  ActionRestoreColumn::class,
            'link' => ['id']
        ],
    ]
]);
