<?php
use yii\helpers\Html;
use thread\app\bootstrap\ActiveForm;
use kartik\color\ColorInput;


$form = ActiveForm::begin();
if ($model->isNewRecord) {
    $model->type_map = Yii::$app->request->get('type');
    echo $form->field($model, 'type_map')->hiddenInput()->label('');
}

echo $form->submit($model, $this);
?>
    <div class="row form-group">
        <?= Html::beginTag('div', ['class' => 'col-md-6'])
        . $form->text_line_lang($modelLang, 'title')
        . Html::endTag('div')
        . Html::beginTag('div', ['class' => 'col-md-5'])
        . $form->text_line($model, 'position')
        . Html::endTag('div')
        ?>
    </div>
    <div class="row form-group">
        <?= Html::beginTag('div', ['class' => 'col-md-8'])
        .$form->field($model, 'color')->widget(ColorInput::classname(), [
            'options' => ['placeholder' => 'Select color ...'],
        ])
        . Html::endTag('div')
        ?>
    </div>
<?php
ActiveForm::end();
