<?php
//
use thread\widgets\grid\{
    ActionStatusColumn
};
//
use backend\widgets\GridView\GridView;

/**
 * @var $model \common\modules\news\modules\review\models\Review
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'attribute' => 'title',
        ],
        [
            'attribute' => 'created_at',
            'value' => function ($model) {
                return $model->getPublishedTime();
            }
        ],
        [
            'value' => function ($model) {
                return $model['article']['lang']['title'];
            }
        ],
        [
            'value' => function ($model) {
                return $model['member']['profile']->getFullName();
            }
        ],
        [
            'class' => ActionStatusColumn::class,
            'attribute' => 'published',
            'action' => 'published'
        ],
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class
        ],
    ]
]);
