<?php

use thread\modules\seo\modules\modellink\widgets\seo\SeoBlock;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $model \backend\modules\news\models\Article
 */
echo SeoBlock::widget([
    'form' => $form,
    "model" => $model,
    'seo_title' => function ($seo_model) use ($model) {
        $title = $model->lang->title??'';
        $seo_model = $seo_model->getSeoModel();
        return (isset($seo_model->title) && !empty($seo_model->title)) ? $seo_model->title : $title;
    },
    'seo_description' => function ($seo_model) use ($model) {
        $info = $model->lang->description??'';
        $seo_model = $seo_model->getSeoModel();
        return (isset($seo_model->description) && !empty($seo_model->description)) ? $seo_model->description : $info;
    },
    'seo_image_url' => $model->getImageLink()??'',
]);