<?php
use backend\modules\news\models\Group;

/**
 * @var $model \backend\modules\news\models\Article
 * @var $modelLang \backend\modules\news\models\ArticleLang
 */

echo $form->field($model, 'group_id')->hiddenInput(['value' => 1])->label(false)
    . $form->field($model, 'group_id')->dropDownList(Group::dropDownList(), ['prompt' => '---' . Yii::t('app', 'Choose group') . '---'])
    . $form->text_line_lang($modelLang, 'title')
    . $form->text_line($model, 'alias')
    . $form->text_line_lang($modelLang, 'description')->textarea(['style' => 'height:100px;']);
?>
<div class="row control-group">
    <div class="col-md-3">
        <?= $form->switcher($model, 'published') ?>
    </div>
    <div class="col-md-4">
        <?= $form->field($model, 'published_time')->datePicker($model->getPublishedTime()) ?>
    </div>
    <div class="col-md-5">
        <?= $form->field($model, 'time_start_of_published')->datePicker($model->getTimeStartOfPublished()) ?>
    </div>
</div>


