<?php
use yii\helpers\Html;
use thread\app\bootstrap\ActiveForm;

$form = ActiveForm::begin();
echo $form->submit($model, $this);
?>
<div class="row form-group">
    <?= Html::beginTag('div', ['class' => 'col-md-6'])
    . $form->text_line_lang($modelLang, 'title')
    . Html::endTag('div')
    . Html::beginTag('div', ['class' => 'col-md-2'])
    . $form->switcher($model, 'published')
    . Html::endTag('div')
    ?>
</div>
    <div class="row form-group">
        <?=Html::beginTag('div', ['class' => 'col-md-6'])
        . $form->text_line($model, 'site_link')
        . Html::endTag('div')
        . Html::beginTag('div', ['class' => 'col-md-2'])
        . $form->text_line($model, 'position')
        . Html::endTag('div')
        ?>
    </div>
<div class="row form-group">
    <?php
    echo Html::beginTag('div', ['class' => 'col-md-5'])
        . $form->field($model, 'image_link')->imageOne($model->getImageLink())
        . Html::endTag('div')
    ?>
</div>
<?php
echo $form->submit($model, $this);
ActiveForm::end();
