<?php
use thread\widgets\grid\ActionCheckboxColumn;
use backend\widgets\GridView\gridColumns\ActionColumn;
use backend\widgets\GridView\GridView;


/**
 * @var \backend\modules\partners\models\Item $model
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'tableOptions' => ['class' => 'table table-striped table-bordered'],
    'filterModel' => $filter,
    'columns' => [
        [
            'attribute' => 'title',
            'value' => 'lang.title',
        ],
         'position',
        [
            'class' => ActionCheckboxColumn::class,
            'attribute' => 'published',
            'action' => 'published'
        ],
        [
            'class' => ActionColumn::class,
        ],
    ]
]);
