<?php

use yii\helpers\Html;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */

$this->beginContent('@app/layouts/iframe.php'); ?>

    <div class="row border-bottom white-bg page-heading">
        <div class="col-md-12" style="text-align: right">
            <h2 class="btn-group" role="group">
                <?= Html::a('<i class="fa fa-plus"></i> ' . Yii::t('app', 'Create'), ['create'], ['class' => 'btn btn-primary']) ?>
                <?= Html::a('<i class="fa fa-trash"></i> ', ['trash'], ['class' => 'btn btn-default', 'title' => Yii::t('app', 'Trash')]) ?>
            </h2>
        </div>
    </div>

    <div class="animated fadeIn">
        <?= $content ?>
    </div>

<?php $this->endContent();
