<?php
use thread\app\bootstrap\ActiveForm;

/**
 * @var $model \backend\modules\seo\modules\modellink\models\ModellinkImage
 */

$form = ActiveForm::begin();
//
echo $form->submit($model, $this)
    . $form->field($model, 'lang')->hiddenInput(['value' => Yii::$app->language])->label(false)
    . $form->field($model, 'model_id')->hiddenInput(['value' => $this->context->model_id])->label(false)
    . $form->field($model, 'model_key')->hiddenInput(['value' => $this->context->model_key])->label(false)
    . $form->text_line($model, 'image_loc')
    . $form->text_line_lang($model, 'image_caption');
?>
    <div class="row">
        <div class="col-md-3">
            <?= $form->switcher($model, 'add_to_sitemap') ?>
        </div>
        <div class="col-md-3">
            <!--<?= $form->switcher($model, 'dissallow_in_robotstxt') ?>-->
        </div>
    </div>
<?php
echo $form->switcher($model, 'published')
    . $form->submit($model, $this);
//
ActiveForm::end();
