<?php

use backend\widgets\GridView\GridView;
//
use thread\widgets\grid\{
    ActionStatusColumn
};

/**
 * @var $model \backend\modules\seo\modules\modellink\models\ModellinkImage
 * @var $filter \backend\modules\seo\modules\modellink\models\search\ModellinkImage
 */
echo GridView::widget([
    'dataProvider' => $model->search_model_id_and_key(Yii::$app->request->queryParams, $this->context->model_id, $this->context->model_key),
    'filterModel' => $filter,
    'columns' => [
        'image_loc',
        [
            'class' => ActionStatusColumn::class,
            'attribute' => 'add_to_sitemap',
            'action' => 'add_to_sitemap'
        ],
//        [
//            'class' => ActionStatusColumn::class,
//            'attribute' => 'dissallow_in_robotstxt',
//            'action' => 'dissallow_in_robotstxt'
//        ],
        [
            'class' => ActionStatusColumn::class,
            'attribute' => 'published',
            'action' => 'published'
        ],
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class,
        ],
    ]
]);
