<?php
use backend\widgets\GridView\GridView;
//
use thread\widgets\grid\{
    ActionDeleteColumn, ActionRestoreColumn
};

/**
 * @var $model \backend\modules\seo\modules\modellink\models\ModellinkImage
 * @var $filter \backend\modules\seo\modules\modellink\models\search\ModellinkImage
 */
echo GridView::widget([
    'dataProvider' => $model->trash_model_id_and_key(Yii::$app->request->queryParams, $this->context->model_id, $this->context->model_key),
    'filterModel' => $filter,
    'columns' => [
        'image_loc',
        [
            'class' => ActionDeleteColumn::class,
        ],
        [
            'class' => ActionRestoreColumn::class
        ],
    ]
]);
