<?php
use yii\helpers\Html;

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */

$module = (Yii::$app->controller->module->module->id == "app-backend") ?
    Yii::$app->controller->module->id : Yii::$app->controller->module->module->id;

$this->beginContent('@app/layouts/main.php'); ?>

    <div class="row border-bottom white-bg page-heading">
        <div class="col-md-10">
            <h2>
                <?= Yii::t($module, $this->context->module->title) ?>.
                <?= Yii::t($module, $this->context->title) ?>
            </h2>
        </div>
        <div class="col-md-2">
            <h2 class="btn-group" role="group">
            </h2>
        </div>
    </div>

    <div class="animated fadeIn">
        <?= $content ?>
    </div>

<?php $this->endContent();