<?php
use thread\app\bootstrap\{
    ActiveForm
};

/**
 * @var $model \backend\modules\sys\modules\messages\models\MessagesFile
 * @var $modelLang \backend\modules\sys\modules\messages\models\MessagesFileLang
 */
$form = ActiveForm::begin();
//
echo $form->submit($model, $this)
    . $form->field($modelLang, 'title')->textInput(['maxlength' => true])
    . $form->field($model, 'messagefilepath')->textInput();
//
ActiveForm::end();

?>
    <div class="form-group field-messageslang-title required">
        <label class="control-label"><?= Yii::t('sys', 'Messages') ?></label>
    </div>
<?php
if ($model->isNewRecord !== true) {
    echo $this->render('../iframe', [
        'link' => ['/sys/messages/messages/list', 'group_id' => $model['id']],
    ]);
}