<?php

use backend\widgets\GridView\GridView;

/**
 * @var $model \backend\modules\sys\modules\messages\models\MessagesFile
 * @var $filter \backend\modules\sys\modules\messages\models\search\MessagesFile
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'attribute' => 'title',
            'value' => 'lang.title',
        ],
        'messagefilepath',
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class,
            'deleteLink' => function ($model) {
                return false;
            },
        ],
    ]
]);
