<?php

use yii\helpers\{
    Html
};

$module = (Yii::$app->controller->module->module->id == "app-backend") ?
    Yii::$app->controller->module->id : Yii::$app->controller->module->module->id;

$this->beginContent('@app/layouts/main.php'); ?>

    <div class="row border-bottom white-bg page-heading">
        <div class="col-md-8">
            <h2>
                <?= Yii::t($module, $this->context->module->title) ?>.
                <?= Yii::t($module, $this->context->title) ?>.
            </h2>
        </div>
        <div class="col-md-4" style="text-align: right;">
            <h2>
                <?= Html::a('<i class="fa fa-plus"></i> 1 ' . Yii::t('sys', 'Fill'), ['fill'], ['class' => 'btn btn-warning']) ?>
                <?= Html::a('<i class="fa fa-plus"></i> 2 ' . Yii::t('sys', 'Update files'), ['updatefiles'], ['class' => 'btn btn-warning']) ?>
            </h2>
        </div>
    </div>

    <div class="animated fadeIn">
        <?= $content ?>
    </div>

<?php $this->endContent();
