<?php

use backend\widgets\GridView\GridView;

/**
 * @var $model \backend\modules\sys\modules\messages\models\Messages
 * @var $filter \backend\modules\sys\modules\messages\models\search\Messages
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'attribute' => 'title',
            'value' => 'lang.title',
        ],
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class
        ],
    ]
]);
