<?php
use yii\helpers\{
    Html, Url
};
use thread\app\bootstrap\ActiveForm;

?>

<?php $form = ActiveForm::begin([
    'id' => 'request-password-reset-form',
    'class' => 'm-t',
//    'action' => Url::toRoute(['/user/password/request-reset']),
]); ?>
<p class="text-center"><?= Yii::t('user', 'Please fill out your email') ?></p>
<?= $form->field($model, 'email')->textInput(['autofocus' => true]) ?>

<div class="form-group">
    <?= Html::submitButton(Yii::t('app', 'Send'), ['class' => 'btn btn-primary block full-width m-b']) ?>
    <?= Html::a(Yii::t('app', 'Cancel'), Url::toRoute(['/']), ['class' => 'btn btn-primary block full-width m-b']) ?>
</div>

<?php ActiveForm::end(); ?>
