<?php

use yii\bootstrap\ActiveForm;
use thread\app\bootstrap\ActiveForm as threadActiveForm;

use thread\modules\user\models\form\CreateForm;
use thread\modules\user\models\User;
use backend\modules\user\models\Group;

/**
 * @var $model CreateForm|User
 */

$f = new threadActiveForm();

$form = ActiveForm::begin();
//
$model->password_old = '';
$model->password = '';
$model->password_confirmation = '';

echo $f->submit($model, $this)
    . $f->text_line($model, 'username')
    . $f->text_line($model, 'email')
    . $f->field($model, 'group_id')->selectOne(Group::dropDownList()); ?>
    <hr>
<?php
echo $f->text_password($model, 'password')
    . $f->text_password($model, 'password_confirmation')
    . $f->switcher($model, 'published')
    . $f->submit($model, $this);
//
ActiveForm::end();
