<?php

namespace common\modules\calendar\models\query;

/**
 * Class ActiveQuery
 *
 * @package common\modules\calendar\models\query
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class ActiveQuery extends \thread\app\base\models\query\ActiveQuery
{
    /**
     * @param int $article_id
     * @return $this
     */
    public function article_id(int $article_id)
    {
        $modelClass = $this->modelClass;
        $this->andWhere($modelClass::tableName() . '.article_id = :article_id', [':article_id' => $article_id]);
        return $this;
    }
}