<?php

use yii\db\Migration;
use common\modules\map\Map as ParentModule;

/**
 * Class m171118_123716_add_column_map_image2
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m171118_123716_add_column_map_image2 extends Migration
{

    /**
     * @var string
     */
    public $table = '{{%map_area}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    public function safeUp()
    {
        $this->addColumn($this->table, 'image_link2', $this->string(1024)->defaultValue('')->comment('colored image'));
    }

    public function safeDown()
    {
        $this->dropColumn($this->table, 'image_link2');
    }
}
