<?php

namespace frontend\modules\form\modules\callback\models;

use yii\helpers\HtmlPurifier;

/**
 * Class Callback
 *
 * @package frontend\modules\form\modules\callback\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Callback extends \thread\modules\form\modules\callback\models\Callback
{

    /**
     * @return array
     */
    public function scenarios()
    {
        return [
            'add_callback' => ['phone', 'user_name'],
        ];
    }

    /**
     * @param bool $insert
     * @return bool
     */
    public function beforeSave($insert)
    {
        $this->HtmlPurifier(['user_name', 'phone']);
        return parent::beforeSave($insert);
    }

    /**
     * @param array $attributes
     */
    public function HtmlPurifier(array $attributes)
    {
        foreach ($attributes as $attribute) {
            $this->{$attribute} = HtmlPurifier::process($this->{$attribute});
        }
    }
}
