<?php
//components
'mail-carrier' => [
    'class' => \thread\modules\sys\modules\mailcarrier\components\MailCarrier::class,
]

//controller

/**
 * @param Question $question
 * @return bool
 */
protected function send(Question $question)
{
    /**
     * @var $carrier \thread\modules\sys\modules\mailcarrier\components\MailCarrier
     */
    $carrier = Yii::$app->get('mail-carrier');
    $carrier->initCarrier('feedback');
    //
//        $carrier->setSubject('New Question');
    return $carrier->send([
        'question' => $question,
    ], 'question/index');
}