<?php

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
return [
    /**
     * CORE
     */
    'home' => [
        'class' => \frontend\modules\home\Home::class,
    ],
    'user' => [
        'class' => \frontend\modules\user\User::class,
    ],
    'menu' => [
        'class' => \frontend\modules\menu\Menu::class,
        'internal_sources' => [
            'page' => [
                'page' => [
                    'label' => 'Page',
                    'class' => \frontend\modules\page\models\Page::class,
                    'method' => 'dropDownList',
                ]
            ],
            'faq' => [
                'group' => [
                    'label' => 'Group',
                    'class' => \frontend\modules\news\models\Group::class,
                    'method' => 'dropDownList',
                ]
            ],
        ],
    ],
    'page' => [
        'class' => \frontend\modules\page\Page::class,
    ],
    'news' => [
        'class' => \frontend\modules\news\News::class,
    ],
    'calendar' => [
        'class' => \frontend\modules\calendar\Calendar::class,
    ],
    'faq' => [
        'class' => \frontend\modules\faq\Faq::class,
    ],
    'form' => [
        'class' => \frontend\modules\form\Form::class,
    ],
    'seo' => [
        'class' => \frontend\modules\seo\Seo::class,
    ],
    'map' => [
        'class' => \frontend\modules\map\Map::class,
    ],
    'partners' => [
        'class' => \frontend\modules\partners\Partners::class,
    ],
    'sys' => [
        'class' => \thread\modules\sys\Sys::class,
    ],
];
