<?php
use yii\helpers\Html;

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $params \thread\modules\sys\modules\configs\components\ConfigsParams
 * @var $metaBaseInfo \thread\modules\seo\modules\info\components\MetaBaseInfo
 * @var $asset \frontend\themes\threproject\assets\MailAsset
 */
$params = Yii::$app->param;
$metaBaseInfo = Yii::$app->metabaseinfo;
?>
<!-- Footer Start -->
<table align="center" border="0" cellpadding="0" cellspacing="0" width="800"
       style="border-collapse: collapse;">
    <tr>
        <td>
            <table bgcolor="#ffffff" align="center" border="0" cellpadding="0" cellspacing="0" width="780"
                   style="border-collapse: collapse;">
                <tr>
                    <td>
                        <!-- Space -->
                        <table width="100%" align="center" border="0" cellpadding="0" cellspacing="0"
                               style="border-collapse: collapse;">
                            <tr>
                                <td style="font-size: 0; line-height: 0;" height="30">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                        <table align="center" border="0" cellpadding="0" cellspacing="0" width="740"
                               style="border-collapse: collapse;">
                            <tr>
                                <td>
                                    <!-- First Column -->
                                    <table align="left" border="0" cellpadding="0" cellspacing="0"
                                           width="250" style="border-collapse: collapse;">
                                        <tr>
                                            <td>
                                                <?= Html::a(Html::img($metaBaseInfo->getSiteLogo(), [
                                                    'alt' => $metaBaseInfo->getSiteName(),
                                                    'style' => 'display: block; width:100px;'
                                                ]), $metaBaseInfo->getBaseUrl()) ?>
                                            </td>
                                        </tr>
                                        <!-- Space -->
                                        <tr>
                                            <td style="font-size: 0; line-height: 0;" height="20">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="color: #999999; font-size: 14px; line-height: 18px; font-weight: normal; font-family: helvetica, Arial, sans-serif;">
                                                <?= $metaBaseInfo->getSiteAlternatename() ?>
                                            </td>
                                        </tr>
                                        <!-- Space -->
                                        <tr>
                                            <td style="font-size: 0; line-height: 0;" height="15">
                                                &nbsp;
                                            </td>
                                        </tr>
                                    </table>
                                    <!-- Gutter 20px -->
                                    <table align="left" border="0" cellpadding="0" cellspacing="0"
                                           width="40" style="border-collapse: collapse;">
                                        <tr>
                                            <td>
                                                &nbsp;
                                            </td>
                                        </tr>
                                    </table>
                                    <!-- Second Column -->
                                    <table align="left" border="0" cellpadding="0" cellspacing="0"
                                           width="250" style="border-collapse: collapse;">
                                        <!-- Space -->
                                        <tr>
                                            <td style="font-size: 0; line-height: 0;" height="57">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="22">
                                                <?= Html::img($asset->baseUrl . '/images/marker-icon.png') ?>
                                            </td>
                                            <td style="color: #999999; font-size: 14px; line-height: 18px; font-weight: normal; font-family: helvetica, Arial, sans-serif;">
                                            </td>
                                        </tr>
                                        <!-- Space -->
                                        <tr>
                                            <td style="font-size: 0; line-height: 0;" height="10">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="22">
                                                <?= Html::img($asset->baseUrl . '/images/phone-icon.png') ?>
                                            </td>
                                            <td style="color: #999999; font-size: 14px; line-height: 18px; font-weight: normal; font-family: helvetica, Arial, sans-serif;">
                                            </td>
                                        </tr>
                                        <!-- Space -->
                                        <tr>
                                            <td style="font-size: 0; line-height: 0;" height="10">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="22">
                                                <?= Html::img($asset->baseUrl . '/images/mail-icon.png') ?>
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                        <!-- Space -->
                        <table width="100%" align="center" border="0" cellpadding="0" cellspacing="0"
                               style="border-collapse: collapse;">
                            <tr>
                                <td style="font-size: 0; line-height: 0;" height="30">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>

</table>
<!-- Footer End -->

<!-- Subfooter Start -->
<table align="center" border="0" cellpadding="0" cellspacing="0" width="800"
       style="border-collapse: collapse;">
    <tr>
        <td>
            <table bgcolor="#f5f5f5" align="center" border="0" cellpadding="0" cellspacing="0" width="780"
                   style="border-collapse: collapse;">
                <tr>
                    <td>
                        <!-- Space -->
                        <table align="center" border="0" cellpadding="0" cellspacing="0" width="100%"
                               style="border-collapse: collapse;">
                            <tr>
                                <td style="font-size: 0; line-height: 0;" bgcolor="#eaeaea" height="1">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td style="font-size: 0; line-height: 0;" height="20">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                        <table align="center" border="0" cellpadding="0" cellspacing="0" width="740"
                               style="border-collapse: collapse;">
                            <tr>
                                <td align="center"
                                    style="color: #999999; font-size: 14px; line-height: 18px; font-weight: normal; font-family: helvetica, Arial, sans-serif;">
                                    ©Copyright. All Rights Reserved.
                                </td>
                            </tr>
                        </table>
                        <!-- Space -->
                        <table width="100%" align="center" border="0" cellpadding="0" cellspacing="0"
                               style="border-collapse: collapse;">
                            <tr>
                                <td style="font-size: 0; line-height: 0;" height="20">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<!-- Subfooter End -->