<?php

namespace frontend\modules\form;

use frontend\modules\form\modules\{
    callback\Callback, feedback\Feedback
};

/**
 * Class Form
 *
 * @package frontend\modules\form
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Form extends \thread\modules\form\Form
{
    /**
     *
     */
    public function init()
    {

        $this->modules = [
            'feedback' => [
                'class' => Feedback::class,
            ],
            'callback' => [
                'class' => Callback::class,
            ],
        ];

        parent::init();
    }
}
