<?php
/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $model \frontend\modules\map\models\Item
 *
 */
use yii\helpers\Html;

?>
<div class="row item_map_object">
    <div class="col-md-12 item_map_object_title">
        <?= $model['lang']['title'] ?>
    </div>
    <div class="col-md-12 item_map_object_type_list">
        <div class="item_map_object_type_item" style="background-color: <?= $model['typeItem']['color'] ?>;">
            <?= $model['typeItem']['lang']['title'] ?>
        </div>
        <div class="item_map_object_type_item item_map_object_type_item_area">
            <?= $model['area']['lang']['title'] ?>
        </div>
    </div>
    <div class="col-md-12 item_map_object_info">
        <?= $model['lang']['description'] ?>
    </div>
    <div class="col-md-12">
        <div class="row">
            <div class="col-md-8 item_map_object_adress">
                <div class="item_map_object_adress_title">
                    Адреса
                </div>
                <?= $model['region']['lang']['title'] ?>
            </div>
            <div class="col-md-4 item_map_object_link">
                <?= Html::a(Yii::t('front', "detail"), $model->getUrl(), [
                    'class' => 'btn btn-new pull-right'
                ]) ?>
            </div>
        </div>
    </div>
</div>
