<?php

namespace frontend\modules\menu\models;

/**
 * Class MenuItem
 *
 * @package frontend\modules\menu\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
final class MenuItem extends \thread\modules\menu\models\MenuItem
{

    /**
     *
     * @return array
     */
    public function behaviors()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function scenarios()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function attributeLabels()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function rules()
    {
        return [];
    }

    public static function find()
    {
        return parent::find()->enabled();
    }

    /**
     * @return mixed
     */
    public static function findBase()
    {
        return self::find()->innerJoinWith(["lang"])->orderBy(['position' => SORT_ASC]);
    }

    /**
     *
     * @param string $group
     * @return array|null
     */
    public static function getAllByGroup($group = '', $parent = 0)
    {
        return self::findBase()->group_id($group)->parent_id($parent)->all();
    }

    use \thread\app\helpers\tree\multi\MultiTreeModelTrait;

}
