<?php
use yii\bootstrap\Html;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $groups \frontend\modules\news\models\Group[]
 * @var $group \frontend\modules\news\models\Group
 */
?>

<nav>
    <?= Html::tag('div', Yii::t('news', 'Groups'), [
        'class' => 'title h3'
    ]) ?>
    <ul class="nav nav-pills nav-stacked">
        <?php
        foreach ($groups as $group):
            $active = (isset($_GET['alias']) && $group['alias'] === $_GET['alias']) ? 'active' : '';
            echo Html::tag('li', Html::a($group['lang']['title'], $group->getUrl()), [
                'class' => $active
            ]);
        endforeach;
        ?>
    </ul>
</nav>