<?php

use yii\bootstrap\ActiveForm;
use yii\helpers\{
    Html, Url
};

//$this->title = Yii::t('user', 'Password change');

/**
 * @var $model \frontend\modules\user\models\form\ChangePassword
 */
?>
<?php if (!empty($model->getFlash())) : ?>

    <div class="row">
        <div class="col-lg-5"><?= implode(',', ($model->getFlash())) ?></div>
    </div>

    <?php
    $model->password_old = '';
    $model->password = '';
    $model->password_confirmation = '';
    ?>

<?php endif; ?>
<div class="row">
    <div class="col-sm-6 col-sm-offset-3 profile_form">
        <div class="row form-group">
            <div class="col-sm-12 profile_form_title" style="text-align: center">
                <?= Yii::t('user', 'Password change') ?>
            </div>
        </div>
        <div class='form-password-change'>
            <?php $form = ActiveForm::begin([
                'action' => Url::toRoute(['/user/password/change']),
            ]); ?>
            <div class="row form-group">
                <div class="col-sm-8 col-sm-offset-2">
                    <?= $form->field($model, 'password_old')->passwordInput([
//                        'placeholder' => $model->getAttributeLabel('password_old')
                    ]) ?>
                    <?= $form->field($model, 'password')->passwordInput([
//                        'placeholder' => $model->getAttributeLabel('password')
                    ]) ?>
                    <?= $form->field($model, 'password_confirmation')->passwordInput([
//                        'placeholder' => $model->getAttributeLabel('password_confirmation')
                    ]) ?>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-8 col-sm-offset-2" style="text-align: center;">
                    <?= Html::submitButton(Yii::t('app', 'Save'), ['class' => 'btn btn-primary']) ?>
                    <?= Html::a(Yii::t('app', 'Cancel'), ['/user/profile/index'], ['class' => 'btn btn-cancel']) ?>
                </div>
            </div>

            <?php
            ActiveForm::end();
            ?>
        </div>
    </div>
</div>