<?php

/**
 * @var $this yii\web\View
 * @var $module \frontend\modules\user\User
 */

use yii\helpers\{
    Html
};

$this->title = Yii::t('user', 'Reset password');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-reset-password">
    <h1><?= Html::encode($this->title) ?></h1>

    <?= Html::tag('p', Yii::t('user', 'New password was saved.')) ?>

    <?= Html::a(Yii::t('user', 'Login'), $module->params['login']['index'], [
        'class' => 'btn btn-primary'
    ]) ?>
</div>