<?php

namespace frontend\modules\user\widgets;

use yii\base\Widget;
use frontend\modules\user\models\form\PasswordResetRequestForm;

class RequestPasswordReset extends Widget
{
    public $view = 'requestPasswordResetToken';

    public function run()
    {
        $model = new PasswordResetRequestForm();
        $model->setScenario('remind');

        return $this->render($this->view, [
            'model' => $model,
        ]);
    }
}

