<?php

use yii\widgets\ActiveForm;
use yii\helpers\{
    Url, Html
};

?>

<div class="popup change-password-popup" id="change-password-popup"  style="display: none">
    <div class="popup-title popup-header">
        <?= Yii::t('front', 'Password change')  ?>
        <button class="close-popup"><i class="fa fa-times" aria-hidden="true"></i></button>
    </div>
    <?php $form = ActiveForm::begin([
        'action' => Url::toRoute(['/user/password/change']),
        'options' => [
            'class' => 'change-password inner-form'
        ],
//        'enableAjaxValidation' => true,
    ]);
    echo $form->field($model, 'password_old',
            [
                'template' => "<div class=\"input-field\">{input}\n{label}\n{hint}\n{error}</div>",
                'labelOptions' => [ 'class' => 'active' ]
            ])->passwordInput(['class' => 'collaps-inp form-control'])->label(Yii::t('front', 'Password old'))
        . '<hr/>'
        . $form->field($model, 'password',
            [
                'template' => "<div class=\"input-field\">{input}\n{label}\n{hint}\n{error}</div>",
                'labelOptions' => [ 'class' => 'active' ]
            ])->passwordInput(['class' => 'collaps-inp form-control'])
        . $form->field($model, 'password_confirmation',
            [
                'template' => "<div class=\"input-field\">{input}\n{label}\n{hint}\n{error}</div>",
                'labelOptions' => [ 'class' => 'active' ]
            ])->passwordInput(['class' => 'collaps-inp form-control'])
        . Html::submitButton(Yii::t('front', 'Save'), ['class' => 'regular-btn small-btn']);
    ActiveForm::end();
    ?>
</div>