<?php

namespace frontend\themes\defaults\assets;

use yii\web\AssetBundle;

/**
 * Class AppAssetMap
 *
 * @package frontend\themes\defaults\assets
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class AppAssetMap extends AssetBundle
{
    /**
     * @var string
     */
    public $sourcePath = '@frontend/themes/defaults/web';
    /**
     * @var array
     */
    public $jsOptions = [
        'position' => \yii\web\View::POS_HEAD
    ];

    /**
     * @var array
     */
    public $css = [
        'css/select2.min.css',
        'css/mCustomScrollBar.css',
        'css/main.min.css',
        'css/style.css',
        'bxslider-4/dist/jquery.bxslider.min.css',
//        'responsiveslidesjs/responsiveslides.css',
//        'slick/slick.min.css',
//        'slick/slick-theme.min.css',
    ];
    /**
     * @var array
     */
    public $js = [
//        '//code.jquery.com/jquery-3.2.1.min.js',
        '//code.jquery.com/ui/1.12.1/jquery-ui.min.js',
//        'js/bootstrap.min.js',
        'js/select2.min.js',
        'js/html2canvas.js',
        'js/mCustomScrollBar.min.js',
        'js/main.js',
        'bxslider-4/dist/jquery.bxslider.min.js',
//        'slick/slick.min.js',
//        'responsiveslidesjs/responsiveslides.js',
    ];
    /**
     * @var array
     */
    public $depends = [
        \yii\web\YiiAsset::class,
        \yii\bootstrap\BootstrapAsset::class,
        \yii\bootstrap\BootstrapPluginAsset::class,
    ];
}
