<?php
use yii\widgets\ActiveForm;
use yii\helpers\{
    Url, Html
};

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
?>

<button type="button" class="btn dropdown-toggle" data-toggle="dropdown"><i
            class="icon-search"></i></button>
<ul class="dropdown-menu dropdown-menu-right dropdown-animation searchBox">
    <li>
        <?php $form = ActiveForm::begin([
            'action' => Url::toRoute(['/catalog/find/index']),
            'method' => 'get',
            'options' => [
                'id' => 'searchBoxForm',
                'class' => 'form-group has-feedback',
//                'role' => 'search',
            ]
        ]) ?>
        <!--        <form role="search" class="search-box margin-clear">-->
        <div class="form-group has-feedback">
            <?= Html::textInput('q', '', [
                'class' => 'form-control',
                'placeholder' => Yii::t('app', 'Search')
            ]) ?>
            <i class="icon-search form-control-feedback js_search_button"></i>
        </div>
        <?php
        ActiveForm::end();
        ?>
    </li>
</ul>