<?php

namespace thread\app\helpers\tree\multi;

/**
 * Class MultiTreeModelTrait
 * Trait для ActiveRecord [[MultiTreeModelTrait]]
 *
 * @package thread\helpers\tree\multi
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
trait MultiTreeModelTrait
{

    use \thread\app\helpers\tree\TreeModelBaseTrait;

    /**
     * @param integer $tree
     */
    public static function findTreeModel($tree = 0)
    {
        $models = self::find()->addOrderBy(['position' => SORT_ASC])->all();
        foreach ($models as $model) {
            //заповнюємо моделі
            static::$treeModelCache[$model->id] = $model;
        }
    }
}
