<?php

namespace thread\modules\form;

use Yii;
//
use thread\app\base\module\abstracts\Module as aModule;

/**
 * Class Form
 *
 * @package thread\modules\form
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Form extends aModule
{
    public $name = 'form';
    public $translationsBasePath = __DIR__ . '/messages';
    public $configPath = __DIR__ . '/config.php';

    /**
     * @return null|object
     * @throws \yii\base\InvalidConfigException
     */
    public static function getDb()
    {
        return Yii::$app->get('db-core');
    }
}
