<?php

use yii\db\Migration;
use thread\modules\location\Location as ParentModule;

/**
 * Class m160705_110927_init_tale_country_lang
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m160705_110927_init_tale_country_lang extends Migration
{
    /**
     * @var string
     */
    public $table = '{{%location_country}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    public function up()
    {
        $this->execute("
        INSERT INTO `fv_location_country_lang` (`rid`, `lang`, `title`)
        VALUES
            (4,'en-EN','Australia'),
            (4,'ru-RU','Австралия'),
            (63,'en-EN','Austria'),
            (63,'ru-RU','Австрия'),
            (81,'en-EN','Azerbaijan'),
            (81,'ru-RU','Азербайджан'),
            (173,'en-EN','Anguilla'),
            (173,'ru-RU','Ангилья'),
            (177,'en-EN','Argentina '),
            (177,'ru-RU','Аргентина'),
            (245,'en-EN','Armenia'),
            (245,'ru-RU','Армения'),
            (248,'en-EN','Belarus'),
            (248,'ru-RU','Беларусь'),
            (401,'en-EN','Belize'),
            (401,'ru-RU','Белиз'),
            (404,'en-EN','Belgium'),
            (404,'ru-RU','Бельгия'),
            (425,'en-EN','Bermuda shorts '),
            (425,'ru-RU','Бермуды'),
            (428,'en-EN','Bulgaria'),
            (428,'ru-RU','Болгария'),
            (467,'en-EN','Brazil'),
            (467,'ru-RU','Бразилия'),
            (616,'en-EN','Great Britain'),
            (616,'ru-RU','Великобритания'),
            (924,'en-EN','Hungary'),
            (924,'ru-RU','Венгрия'),
            (971,'en-EN','Vietnam'),
            (971,'ru-RU','Вьетнам'),
            (994,'en-EN','Haiti'),
            (994,'ru-RU','Гаити'),
            (1007,'en-EN','Guadeloupe'),
            (1007,'ru-RU','Гваделупа'),
            (1012,'en-EN','Germany'),
            (1012,'ru-RU','Германия'),
            (1206,'en-EN','Holland'),
            (1206,'ru-RU','Голландия'),
            (1258,'en-EN','Greece'),
            (1258,'ru-RU','Греция'),
            (1280,'en-EN','Georgia'),
            (1280,'ru-RU','Грузия'),
            (1366,'en-EN','Denmark'),
            (1366,'ru-RU','Дания'),
            (1380,'en-EN','Egypt'),
            (1380,'ru-RU','Египет'),
            (1393,'en-EN','Israel'),
            (1393,'ru-RU','Израиль'),
            (1451,'en-EN','India'),
            (1451,'ru-RU','Индия'),
            (1663,'en-EN','Iran'),
            (1663,'ru-RU','Иран'),
            (1696,'en-EN','Ireland '),
            (1696,'ru-RU','Ирландия'),
            (1707,'en-EN','Spain'),
            (1707,'ru-RU','Испания'),
            (1786,'en-EN','Italy'),
            (1786,'ru-RU','Италия'),
            (1894,'en-EN','Kazakhstan '),
            (1894,'ru-RU','Казахстан'),
            (2163,'en-EN',' Cameroon '),
            (2163,'ru-RU','Камерун'),
            (2172,'en-EN','Canada'),
            (2172,'ru-RU','Канада'),
            (2297,'en-EN','Cyprus '),
            (2297,'ru-RU','Кипр'),
            (2303,'en-EN','Kyrgyzstan'),
            (2303,'ru-RU','Кыргызстан'),
            (2374,'en-EN','China'),
            (2374,'ru-RU','Китай'),
            (2430,'en-EN',' Costa Rica'),
            (2430,'ru-RU','Коста-Рика'),
            (2443,'en-EN','Kuwait '),
            (2443,'ru-RU','Кувейт'),
            (2448,'en-EN','Latvia'),
            (2448,'ru-RU','Латвия'),
            (2509,'en-EN','Libya'),
            (2509,'ru-RU','Ливия'),
            (2514,'en-EN','Lithuania '),
            (2514,'ru-RU','Литва'),
            (2614,'en-EN','Luxembourg'),
            (2614,'ru-RU','Люксембург'),
            (2617,'en-EN','Mexico'),
            (2617,'ru-RU','Мексика'),
            (2788,'en-EN','Moldova'),
            (2788,'ru-RU','Молдова'),
            (2833,'en-EN','Monaco'),
            (2833,'ru-RU','Монако'),
            (2837,'en-EN','New Zealand'),
            (2837,'ru-RU','Новая Зеландия'),
            (2880,'en-EN','Norway'),
            (2880,'ru-RU','Норвегия'),
            (2897,'en-EN','Poland'),
            (2897,'ru-RU','Польша'),
            (3141,'en-EN','Portugal'),
            (3141,'ru-RU','Португалия'),
            (3156,'en-EN','Reunion'),
            (3156,'ru-RU','Реюньон'),
            (3159,'en-EN','Russia'),
            (3159,'ru-RU','Россия'),
            (5647,'en-EN','Salvador'),
            (5647,'ru-RU','Сальвадор'),
            (5666,'en-EN','Slovakia '),
            (5666,'ru-RU','Словакия'),
            (5673,'en-EN','Slovenia'),
            (5673,'ru-RU','Словения'),
            (5678,'en-EN','Suriname'),
            (5678,'ru-RU','Суринам'),
            (5681,'en-EN','U.S.A'),
            (5681,'ru-RU','США'),
            (9575,'en-EN','Tajikistan'),
            (9575,'ru-RU','Таджикистан'),
            (9638,'en-EN',' Turkmenistan'),
            (9638,'ru-RU','Туркменистан'),
            (9701,'en-EN','Turks and Caicos '),
            (9701,'ru-RU','Туркс и Кейкос'),
            (9705,'en-EN','Turkey'),
            (9705,'ru-RU','Турция'),
            (9782,'en-EN','Uganda'),
            (9782,'ru-RU','Уганда'),
            (9787,'en-EN','Uzbekistan '),
            (9787,'ru-RU','Узбекистан'),
            (9908,'en-EN','Ukraine '),
            (9908,'ru-RU','Украина'),
            (10648,'en-EN','Finland '),
            (10648,'ru-RU','Финляндия'),
            (10668,'en-EN','France'),
            (10668,'ru-RU','Франция'),
            (10874,'en-EN','Czech Republic '),
            (10874,'ru-RU','Чехия'),
            (10904,'en-EN','Switzerland '),
            (10904,'ru-RU','Швейцария'),
            (10933,'en-EN','Sweden'),
            (10933,'ru-RU','Швеция'),
            (10968,'en-EN','Estonia '),
            (10968,'ru-RU','Эстония'),
            (11002,'en-EN','Yugoslavia'),
            (11002,'ru-RU','Югославия'),
            (11014,'en-EN','South Korea'),
            (11014,'ru-RU','Южная Корея'),
            (11060,'en-EN','Japan'),
            (11060,'ru-RU','Япония'),
            (277551,'en-EN','Netherlands  '),
            (277551,'ru-RU','Нидерланды'),
            (277553,'en-EN','Croatia'),
            (277553,'ru-RU','Хорватия'),
            (277555,'en-EN','Romania '),
            (277555,'ru-RU','Румыния'),
            (277557,'en-EN','Hong Kong '),
            (277557,'ru-RU','Гонконг'),
            (277559,'en-EN','Indonesia '),
            (277559,'ru-RU','Индонезия'),
            (277561,'en-EN','Jordan'),
            (277561,'ru-RU','Иордания'),
            (277563,'en-EN','Malaysia '),
            (277563,'ru-RU','Малайзия'),
            (277565,'en-EN','Singapore '),
            (277565,'ru-RU','Сингапур'),
            (277567,'en-EN','Taiwan'),
            (277567,'ru-RU','Тайвань'),
            (277569,'en-EN','Turkmenia '),
            (277569,'ru-RU','Туркмения'),
            (582029,'en-EN','Caribs'),
            (582029,'ru-RU','Карибы'),
            (582031,'en-EN','Chile '),
            (582031,'ru-RU','Чили'),
            (582040,'en-EN','Korea '),
            (582040,'ru-RU','Корея'),
            (582041,'en-EN','Macedonia '),
            (582041,'ru-RU','Македония'),
            (582043,'en-EN','Malta'),
            (582043,'ru-RU','Мальта'),
            (582044,'en-EN','Pakistan '),
            (582044,'ru-RU','Пакистан'),
            (582046,'en-EN','Peru '),
            (582046,'ru-RU','Перу'),
            (582050,'en-EN','Thailand'),
            (582050,'ru-RU','Тайланд'),
            (582051,'en-EN','U.A.E'),
            (582051,'ru-RU','О.А.Э.'),
            (582060,'en-EN','Lebanon'),
            (582060,'ru-RU','Ливан'),
            (582064,'en-EN','Ecuador'),
            (582064,'ru-RU','Эквадор'),
            (582065,'en-EN','Morocco '),
            (582065,'ru-RU','Марокко'),
            (582067,'en-EN','Syria '),
            (582067,'ru-RU','Сирия'),
            (582077,'en-EN','Cuba'),
            (582077,'ru-RU','Куба'),
            (582082,'en-EN','Mozambique '),
            (582082,'ru-RU','Мозамбик'),
            (582090,'en-EN','Tunis '),
            (582090,'ru-RU','Тунис'),
            (582105,'en-EN','Isle of man'),
            (582105,'ru-RU','Остров Мэн'),
            (582106,'en-EN','Jamaica'),
            (582106,'ru-RU','Ямайка'),
            (2567393,'en-EN','Honduras'),
            (2567393,'ru-RU','Гондурас'),
            (2577958,'en-EN','Dominican Republic'),
            (2577958,'ru-RU','Доминиканская республика'),
            (2687701,'en-EN','Mongolia '),
            (2687701,'ru-RU','Монголия'),
            (3410238,'en-EN','Iraq'),
            (3410238,'ru-RU','Ирак'),
            (3661568,'en-EN','South Africa'),
            (3661568,'ru-RU','ЮАР'),
            (7716093,'en-EN','Arulko'),
            (7716093,'ru-RU','Арулько'),
            (7716094,'en-EN','Afghanistan '),
            (7716094,'ru-RU','Афганистан'),
            (7716095,'en-EN','Albania'),
            (7716095,'ru-RU','Албания'),
            (7716096,'en-EN','Algeria'),
            (7716096,'ru-RU','Алжир'),
            (7716097,'en-EN','Andorra'),
            (7716097,'ru-RU','Андорра'),
            (7716098,'en-EN','Kiribati'),
            (7716098,'ru-RU','Кирибати'),
            (7716099,'en-EN','Cocos (Keeling) Islands'),
            (7716099,'ru-RU','Кокосовые (Килинг) острова'),
            (7716100,'en-EN','Nauru '),
            (7716100,'ru-RU','Науру'),
            (7716101,'en-EN','Norfolk Island '),
            (7716101,'ru-RU','Норфолк, остров'),
            (7716102,'en-EN','Christmas Island '),
            (7716102,'ru-RU','Остров Рождества'),
            (7716103,'en-EN','Tuvalu'),
            (7716103,'ru-RU','Тувалу'),
            (7716104,'en-EN',' Heard and McDonald Islands'),
            (7716104,'ru-RU','Херд и Макдональд, острова'),
            (7716105,'en-EN','Bahama Islands'),
            (7716105,'ru-RU','Багамские острова'),
            (7716106,'en-EN','Bahrain '),
            (7716106,'ru-RU','Бахрейн'),
            (7716107,'en-EN','Bangladesh '),
            (7716107,'ru-RU','Бангладеш'),
            (7716108,'en-EN','Barbados '),
            (7716108,'ru-RU','Барбадос'),
            (7716109,'en-EN','Bermuda'),
            (7716109,'ru-RU','Бермудские острова'),
            (7716110,'en-EN','Bhutan'),
            (7716110,'ru-RU','Бутан'),
            (7716111,'en-EN','Bolivia '),
            (7716111,'ru-RU','Боливия'),
            (7716112,'en-EN','Botswana '),
            (7716112,'ru-RU','Ботсвана'),
            (7716113,'en-EN','Solomon Islands'),
            (7716113,'ru-RU','Соломоновы острова'),
            (7716114,'en-EN','Brunei Darussalam'),
            (7716114,'ru-RU','Бруней Даруссалам'),
            (7716115,'en-EN','Myanmar'),
            (7716115,'ru-RU','Мьянма'),
            (7716116,'en-EN','Burundi '),
            (7716116,'ru-RU','Бурунди'),
            (7716117,'en-EN','Cambodia'),
            (7716117,'ru-RU','Камбоджа'),
            (7716118,'en-EN','Cape Verde '),
            (7716118,'ru-RU','Кабо-Верде'),
            (7716119,'en-EN','Cayman Islands'),
            (7716119,'ru-RU','Каймановы острова'),
            (7716120,'en-EN','Sri Lanka '),
            (7716120,'ru-RU','Шри-Ланка'),
            (7716121,'en-EN','Colombia '),
            (7716121,'ru-RU','Колумбия'),
            (7716122,'en-EN','Comoros'),
            (7716122,'ru-RU','Коморские острова'),
            (7716124,'en-EN','Greenland'),
            (7716124,'ru-RU','Гренландия'),
            (7716125,'en-EN','Faroe Islands '),
            (7716125,'ru-RU','Фарерские острова'),
            (7716126,'en-EN','Ethiopia'),
            (7716126,'ru-RU','Эфиопия'),
            (7716127,'en-EN','Eritrea'),
            (7716127,'ru-RU','Эритрея'),
            (7716128,'en-EN','Falkland Islands (Malvinas)'),
            (7716128,'ru-RU','Фолклендские (Мальвинские) острова'),
            (7716129,'en-EN','Fiji '),
            (7716129,'ru-RU','Фиджи'),
            (7716130,'en-EN','Djibouti '),
            (7716130,'ru-RU','Джибути'),
            (7716131,'en-EN','Gambia'),
            (7716131,'ru-RU','Гамбия'),
            (7716132,'en-EN','Ghana '),
            (7716132,'ru-RU','Гана'),
            (7716133,'en-EN','Gibraltar'),
            (7716133,'ru-RU','Гибралтар'),
            (7716134,'en-EN','Guatemala'),
            (7716134,'ru-RU','Гватемала'),
            (7716135,'en-EN','Guinea'),
            (7716135,'ru-RU','Гвинея'),
            (7716136,'en-EN','Guyana '),
            (7716136,'ru-RU','Гайана'),
            (7716137,'en-EN','Iceland '),
            (7716137,'ru-RU','Исландия'),
            (7716139,'en-EN','East Timor '),
            (7716139,'ru-RU','Восточный Тимор'),
            (7716140,'en-EN','Iran (Islamic Republic)'),
            (7716140,'ru-RU','Иран (Исламская Республика)'),
            (7716141,'en-EN','Kenya'),
            (7716141,'ru-RU','Кения'),
            (7716142,'en-EN','Korea,Democratic People\'s Republic '),
            (7716142,'ru-RU','Корея, демократическая народная республика'),
            (7716143,'en-EN','Korea,Republic'),
            (7716143,'ru-RU','Корея, республика'),
            (7716144,'en-EN','Kirghizia'),
            (7716144,'ru-RU','Киргизия'),
            (7716145,'en-EN',' Laos People\'s Democratic Republic'),
            (7716145,'ru-RU','Лаос, народная демократическая республика'),
            (7716146,'en-EN',' Lesotho '),
            (7716146,'ru-RU','Лесото'),
            (7716147,'en-EN','Liberia '),
            (7716147,'ru-RU','Либерия'),
            (7716148,'en-EN','Libyan Arab Jamahiriya'),
            (7716148,'ru-RU','Ливийская Арабская Джамахирия'),
            (7716149,'en-EN','Macau'),
            (7716149,'ru-RU','Макао'),
            (7716150,'en-EN','Madagascar '),
            (7716150,'ru-RU','Мадагаскар'),
            (7716151,'en-EN','Malawi '),
            (7716151,'ru-RU','Малави'),
            (7716152,'en-EN','Maldives '),
            (7716152,'ru-RU','Мальдивы'),
            (7716153,'en-EN','Mauritania '),
            (7716153,'ru-RU','Мавритания'),
            (7716154,'en-EN','Mauritius '),
            (7716154,'ru-RU','Маврикий'),
            (7716155,'en-EN','West Sahara'),
            (7716155,'ru-RU','Западная Сахара'),
            (7716156,'en-EN','Oman'),
            (7716156,'ru-RU','Оман'),
            (7716157,'en-EN','Namibia'),
            (7716157,'ru-RU','Намибия'),
            (7716158,'en-EN','Nepal '),
            (7716158,'ru-RU','Непал'),
            (7716159,'en-EN','Netherlands Antilles'),
            (7716159,'ru-RU','Нидерландские Антильские острова'),
            (7716160,'en-EN','Aruba '),
            (7716160,'ru-RU','Аруба'),
            (7716161,'en-EN','Vanuatu '),
            (7716161,'ru-RU','Вануату'),
            (7716162,'en-EN','Niue '),
            (7716162,'ru-RU','Ниуэ'),
            (7716163,'en-EN','Cook Islands'),
            (7716163,'ru-RU','Острова Кука'),
            (7716164,'en-EN','Pitcairn'),
            (7716164,'ru-RU','Питкерн'),
            (7716165,'en-EN','Tokelau'),
            (7716165,'ru-RU','Токелау'),
            (7716166,'en-EN','Nicaragua '),
            (7716166,'ru-RU','Никарагуа'),
            (7716167,'en-EN','Nigeria '),
            (7716167,'ru-RU','Нигерия'),
            (7716168,'en-EN','Bouvet Island'),
            (7716168,'ru-RU','Буве, остров'),
            (7716169,'en-EN','Svalbard and Jan Mayen Islands'),
            (7716169,'ru-RU','Свальбард и Ян Майен, острова'),
            (7716170,'en-EN',' Panama '),
            (7716170,'ru-RU','Панама'),
            (7716171,'en-EN','Papua New Guinea '),
            (7716171,'ru-RU','Папуа-Новая Гвинея'),
            (7716172,'en-EN','Paraguay'),
            (7716172,'ru-RU','Парагвай'),
            (7716173,'en-EN','Philippines '),
            (7716173,'ru-RU','Филиппины'),
            (7716174,'en-EN','Guinea-Bissau '),
            (7716174,'ru-RU','Гвинея-Бисау'),
            (7716176,'en-EN','Qatar'),
            (7716176,'ru-RU','Катар'),
            (7716177,'en-EN','Rwanda '),
            (7716177,'ru-RU','Руанда'),
            (7716178,'en-EN','Saint Helena island'),
            (7716178,'ru-RU','Остров Святой Елены'),
            (7716179,'en-EN','São Tomé and Príncipe '),
            (7716179,'ru-RU','Сан-Томе и Принсипи'),
            (7716180,'en-EN','Saudi Arabia'),
            (7716180,'ru-RU','Саудовская Аравия'),
            (7716181,'en-EN','Seychelles '),
            (7716181,'ru-RU','Сейшельские Острова'),
            (7716182,'en-EN','Sierra Leone '),
            (7716182,'ru-RU','Сьерра-Леоне'),
            (7716183,'en-EN','Somalia '),
            (7716183,'ru-RU','Сомали'),
            (7716186,'en-EN','South Africa'),
            (7716186,'ru-RU','Южная Африка'),
            (7716187,'en-EN','Zimbabwe'),
            (7716187,'ru-RU','Зимбабве'),
            (7716188,'en-EN','Sudan'),
            (7716188,'ru-RU','Судан'),
            (7716189,'en-EN','Swaziland '),
            (7716189,'ru-RU','Свазиленд'),
            (7716190,'en-EN','Liechtenstein '),
            (7716190,'ru-RU','Лихтенштейн'),
            (7716191,'en-EN','Syrian Arab Republic'),
            (7716191,'ru-RU','Сирийская Арабская Республика'),
            (7716192,'en-EN','Thailand '),
            (7716192,'ru-RU','Таиланд'),
            (7716193,'en-EN','Tonga'),
            (7716193,'ru-RU','Тонга'),
            (7716194,'en-EN','Trinidad and Tobago '),
            (7716194,'ru-RU','Тринидад и Тобаго'),
            (7716195,'en-EN','United Arab Emirates(U.A.E)'),
            (7716195,'ru-RU','Объединенные Арабские Эмираты (ОАЭ)'),
            (7716196,'en-EN','United Kingdom (UK)'),
            (7716196,'ru-RU','Соединенное королевство (Великобритания)'),
            (7716197,'en-EN','Tanzania, united republic'),
            (7716197,'ru-RU','Танзания, единая республика'),
            (7716198,'en-EN','American Samoa '),
            (7716198,'ru-RU','Американское Самоа'),
            (7716199,'en-EN','British Indian Ocean Territory'),
            (7716199,'ru-RU','Британская территория в Индийском океане'),
            (7716200,'en-EN','Virgin Islands (Great Britain)'),
            (7716200,'ru-RU','Виргинские острова (Британские)'),
            (7716201,'en-EN','Virgin Islands (United States )'),
            (7716201,'ru-RU','Виргинские острова (США)'),
            (7716202,'en-EN','Guam'),
            (7716202,'ru-RU','Гуам'),
            (7716203,'en-EN','Minor Outlying Islands,US '),
            (7716203,'ru-RU','Малые Тихоокеанские Отдаленные острова США'),
            (7716204,'en-EN','Marshall Islands '),
            (7716204,'ru-RU','Маршалловы острова'),
            (7716205,'en-EN','Micronesia '),
            (7716205,'ru-RU','Микронезия'),
            (7716206,'en-EN','Palau '),
            (7716206,'ru-RU','Палау'),
            (7716208,'en-EN','Puerto Rico '),
            (7716208,'ru-RU','Пуэрто-Рико'),
            (7716209,'en-EN','Northern Mariana Islands'),
            (7716209,'ru-RU','Северные Марианские острова'),
            (7716210,'en-EN','United States of America (USA)'),
            (7716210,'ru-RU','Соединенные Штаты Америки (США)'),
            (7716211,'en-EN','Turks and Caicos Islands'),
            (7716211,'ru-RU','Теркс и Кайкос, острова'),
            (7716212,'en-EN','Uruguay '),
            (7716212,'ru-RU','Уругвай'),
            (7716213,'en-EN','Venezuela'),
            (7716213,'ru-RU','Венесуэла'),
            (7716214,'en-EN','Samoa'),
            (7716214,'ru-RU','Самоа'),
            (7716215,'en-EN','Yemen '),
            (7716215,'ru-RU','Йемен'),
            (7716216,'en-EN','Zambia '),
            (7716216,'ru-RU','Замбия'),
            (7716217,'en-EN','Taiwan, Province of China'),
            (7716217,'ru-RU','Тайвань, провинция Китая'),
            (7716218,'en-EN','Gabon '),
            (7716218,'ru-RU','Габон'),
            (7716219,'en-EN','Congo '),
            (7716219,'ru-RU','Конго'),
            (7716220,'en-EN','Central African Republic'),
            (7716220,'ru-RU','Центрально-африканская Республика'),
            (7716221,'en-EN','Chad '),
            (7716221,'ru-RU','Чад'),
            (7716222,'en-EN','Equatorial Guinea'),
            (7716222,'ru-RU','Экваториальная Гвинея'),
            (7716223,'en-EN','Antigua and Barbuda '),
            (7716223,'ru-RU','Антигуа и Барбуда'),
            (7716224,'en-EN','Grenada '),
            (7716224,'ru-RU','Гренада'),
            (7716225,'en-EN','Dominica'),
            (7716225,'ru-RU','Доминика'),
            (7716226,'en-EN','Montserrat'),
            (7716226,'ru-RU','Монсеррат'),
            (7716227,'en-EN',' Saint Vincent and the Grenadines'),
            (7716227,'ru-RU','Сент-Винсент и Гренадины'),
            (7716228,'en-EN','Saint Kitts and Nevis '),
            (7716228,'ru-RU','Сент-Китс и Невис'),
            (7716229,'en-EN','Saint Lucia '),
            (7716229,'ru-RU','Сент-Люсия'),
            (7716230,'en-EN',' Benin'),
            (7716230,'ru-RU','Бенин'),
            (7716231,'en-EN','Burkina Faso '),
            (7716231,'ru-RU','Буркина-Фасо'),
            (7716233,'en-EN','Mali '),
            (7716233,'ru-RU','Мали'),
            (7716234,'en-EN','Niger '),
            (7716234,'ru-RU','Нигер'),
            (7716235,'en-EN','Senegal '),
            (7716235,'ru-RU','Сенегал'),
            (7716236,'en-EN','Togo '),
            (7716236,'ru-RU','Того'),
            (7716237,'en-EN','French Polynesia '),
            (7716237,'ru-RU','Французская Полинезия'),
            (7716238,'en-EN','New Caledonia '),
            (7716238,'ru-RU','Новая Каледония'),
            (7716239,'en-EN','Wallis and Futuna Islands'),
            (7716239,'ru-RU','Уоллис и Футуна, острова'),
            (7716240,'en-EN','İnternational monetary fund '),
            (7716240,'ru-RU','Международный валютный фонд'),
            (7716241,'en-EN','Angola'),
            (7716241,'ru-RU','Ангола'),
            (7716242,'en-EN','Congo, Democratic Republic'),
            (7716242,'ru-RU','Конго, демократическая республика'),
            (7716243,'en-EN','Bosnia and Herzegovina'),
            (7716243,'ru-RU','Босния и Герцеговина'),
            (7716245,'en-EN','Vatican,city-state'),
            (7716245,'ru-RU','Ватикан, город-государство'),
            (7716246,'en-EN','Martinique'),
            (7716246,'ru-RU','Мартиника'),
            (7716247,'en-EN','San Marino '),
            (7716247,'ru-RU','Сан-Марино'),
            (7716248,'en-EN','Saint Pierre and Miquelon'),
            (7716248,'ru-RU','Сен-Пьер и Микелон'),
            (7716249,'en-EN','French Guiana '),
            (7716249,'ru-RU','Французская Гвиана'),
            (7716250,'en-EN','French Southern Territories'),
            (7716250,'ru-RU','Французские Южные территории');
    ");

    }

    public function down()
    {
        //TODO:: m160705_110927_init_tale_country_lang
    }
}
