<?php

use yii\db\Migration;

class m171018_201008_add_column_user_profile extends Migration
{

    /**
     * @var string
     */
    public $table = '{{%user_profile}}';

    public function init()
    {
        $this->db = \thread\modules\user\User::getDb();
        parent::init();
    }

    /**
     *
     */
    public function safeUp()
    {
        $this->addColumn($this->table, 'company',
            $this->string(255)->notNull()->defaultValue('')->comment('company'));
        $this->addColumn($this->table, 'website',
            $this->string(255)->notNull()->defaultValue('')->comment('website'));

    }

    /**
     *
     */
    public function safeDown()
    {
        $this->dropColumn($this->table, 'company');
        $this->addColumn($this->table, 'website',
            $this->string(255)->notNull()->defaultValue('')->comment('website'));
    }
}
